VA APIPirepsSearch
Search PIREPs
Search for PIREPs with the given filters
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
departureAirport?string
The ICAO code for the departure airport
Match
^[A-Z]{4}$arrivalAirport?string
The ICAO code for the departure airport
Match
^[A-Z]{4}$startDate?string
The date to start filtering from
Format
dateendDate?string
The date to end the filtering
Format
datestatus?string
The status of the PIREP to search for
Match
^(Accepted|Pending|Rejected)$aircraft?string
The aircraft used for the PIREP
Match
^[A-Z]{1}[A-Z0-9]{1,3}$Response Body
application/json
application/json
curl -X GET "https://example.com/pireps/search"[ { "id": 0, "status": "string", "submitDate": "2019-08-24T14:15:22Z", "airlineCode": "string", "number": "string", "route": [ "string" ], "distance": 0.1, "flightType": "C", "departureAirport": "string", "arrivalAirport": "string", "aircraft": "string", "flightTime": 0, "landingRate": 0.1, "fuelUsed": 0 }]